Package org.apache.aries.jax.rs.whiteboard.internal.introspection

## Class ClassIntrospector

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.introspection.ClassIntrospector

    public class ClassIntrospector
    extends Object

### Constructor Summary

Constructors
`ClassIntrospector()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Collection<org.osgi.service.jaxrs.runtime.dto.ResourceMethodInfoDTO>` `getResourceMethodInfos​(Class<?> clazz, org.apache.cxf.Bus bus)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassIntrospector

    public ClassIntrospector()

### Method Detail

#### getResourceMethodInfos

    public static Collection<org.osgi.service.jaxrs.runtime.dto.ResourceMethodInfoDTO> getResourceMethodInfos​(Class<?> clazz,
                                                                                                              org.apache.cxf.Bus bus)